#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	The Jupyter Notebook Format
Summary(pl.UTF-8):	Format Jupyter Notebook
Name:		python3-nbformat
Version:	5.10.4
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/nbformat/
Source0:	https://files.pythonhosted.org/packages/source/n/nbformat/nbformat-%{version}.tar.gz
# Source0-md5:	68dfea58a1236aa0518f1fec9c968473
URL:		https://pypi.org/project/nbformat/
BuildRequires:	python3-build
BuildRequires:	python3-hatch-nodejs-version
BuildRequires:	python3-hatchling >= 1.5
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
%if %{with tests}
BuildRequires:	python3-fastjsonschema
BuildRequires:	python3-ipython_genutils
BuildRequires:	python3-jsonschema >= 2.5.1
BuildRequires:	python3-jupyter_core
BuildRequires:	python3-pep440
BuildRequires:	python3-pytest
BuildRequires:	python3-pytest-cov
BuildRequires:	python3-testpath
BuildRequires:	python3-traitlets >= 4.1
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with doc}
BuildRequires:	sphinx-pdg-3
BuildRequires:	python3-ipython_genutils
BuildRequires:	python3-jsonschema >= 2.5.1
BuildRequires:	python3-jupyter_core
BuildRequires:	python3-traitlets
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nbformat contains the reference implementation of the Jupyter Notebook
format and Python APIs for working with notebooks.

%description -l pl.UTF-8
nbformat zawiera wzorcową implementację formatu Jupyter Notebook oraz
API Pythona do pracy z takimi notatnikami.

%package apidocs
Summary:	API documentation for Python nbformat module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona nbformat
Group:		Documentation

%description apidocs
API documentation for Python nbformat module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona nbformat.

%prep
%setup -q -n nbformat-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(readlink -f build-3/*.whl) \
%{__python3} -m pytest -p no:unraisableexception tests
%endif

%if %{with doc}
PYTHONPATH=$(readlink -f build-3/*.whl) \
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%{__mv} $RPM_BUILD_ROOT%{_bindir}/jupyter-trust{,-3}
ln -s jupyter-trust-3 $RPM_BUILD_ROOT%{_bindir}/jupyter-trust

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_bindir}/jupyter-trust
%attr(755,root,root) %{_bindir}/jupyter-trust-3
%{py3_sitescriptdir}/nbformat
%{py3_sitescriptdir}/nbformat-%{version}.dist-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,*.html,*.js}
%endif
%changelog
* Tue Apr 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-nbformat.git;a=log;h=master

* Tue Apr 22 2025 Jan Palus <atler@pld-linux.org> fe7cffd
- add built wheel to PYTHONPATH

* Tue Apr 22 2025 Jan Palus <atler@pld-linux.org> d815429
- disable pytest plugin autoload

* Tue Apr 22 2025 Jan Palus <atler@pld-linux.org> 80e9b1e
- up to 5.10.4

* Sat Apr 19 2025 Jan Palus <atler@pld-linux.org> f74653a
- fix tests with python >= 3.12; rel 7

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 374b7fb
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 09d9b56
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> a6f49ca
- use patch -P

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3f7f3ed
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 5558087
- rebuild with python 3.10

* Mon Mar 01 2021 Jan Rękorajski <baggins@pld-linux.org> eb062f6
- release 2 (by relup.sh)

* Tue Apr 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 99e5f7a
- updated python-nbformat to 5.0.5, now python 3.5+ only

